
Katello - Bug #4919

[CLI] hammer systemgroup info has NO params
Status: Closed   

Priority: Normal   

Assignee: Adam Price   
Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1080475 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1080475

Description of problem:

`hammer systemgroup info` command should take the param called name (at least) - but it does not.

===

[root@hades ~]# hammer systemgroup info --help

Usage:

hammer systemgroup info [OPTIONS]

Options:

-h, --help                    print help ===

Version-Release number of selected component (if applicable):

snap4 compose2

How reproducible:

always

Steps to Reproduce:

1. try to request the --help section for the command OR

2. run `hammer systemgroup info --name "asdf"`

3.

Actual results: ===

Error: Unrecognised option '--name'

See: 'hammer systemgroup info --help' ===

Expected results:

name option should be correctly considered and the result should be return

Additional info:

logs attached.

Associated revisions

Revision a3d79706 - 05/01/2014 06:09 PM - Adam Price

refs #4919 - fixing improper apidoc for `system-group list`

Revision e0a4ae44 - 05/01/2014 06:12 PM - Adam Price 

fixes #4919 - hammer systemgroup info has NO params, BZ1080475

Revision 8f59a1a8 - 05/02/2014 01:27 PM - Adam Price

Merge pull request #4032 from komidore64/rmi4919
refs #4919 - fixing improper apidoc for `system-group list`

Revision 1f8472b6 - 05/02/2014 02:21 PM - Adam Price 

Merge pull request #153 from komidore64/rmi4919

fixes #4919 - hammer systemgroup info has NO params, BZ1080475

History

#1 - 04/01/2014 06:47 PM - Adam Price

- Status changed from New to Ready For Testing

- Triaged set to No

#2 - 04/01/2014 08:24 PM - Adam Price

- Status changed from Ready For Testing to Closed

#3 - 04/04/2014 01:46 AM - Og Maciel

- Status changed from Closed to Assigned

This is not fixed with today's nightly and there is no indication about how this was fixed (no github commit hash, no links, etc).

# hammer system-group info --help

Usage:

    hammer system-group info [OPTIONS]

Options:

    -h, --help                    print help

Environment is:

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.33-1.el6.noarch

candlepin-selinux-0.8.33-1.el6.noarch

candlepin-tomcat6-0.8.33-1.el6.noarch

elasticsearch-0.90.10-4.el6.noarch

foreman-1.5.0-0.develop.201404031018gitb132629.el6.noarch

foreman-compute-1.5.0-0.develop.201404031018gitb132629.el6.noarch

foreman-libvirt-1.5.0-0.develop.201404031018gitb132629.el6.noarch

foreman-postgresql-1.5.0-0.develop.201404031018gitb132629.el6.noarch

foreman-proxy-1.5.0-0.develop.201404021018git3824d18.el6.noarch

foreman-release-1.5.0-0.develop.201404031018gitb132629.el6.noarch

foreman-selinux-1.5.0-0.develop.201402261344git2f43f94.el6.noarch

katello-1.5.0-14.201404031016gitcdb8e94.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201404021805git6ac0e9a.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6.noarch

pulp-nodes-common-2.3.1-1.el6.noarch

pulp-nodes-parent-2.3.1-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

pulp-rpm-plugins-2.3.1-1.el6.noarch

pulp-selinux-2.3.1-1.el6.noarch

pulp-server-2.3.1-1.el6.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6.noarch

ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch

ruby193-rubygem-runcible-1.0.8-1.el6.noarch

rubygem-hammer_cli-0.1.0-1.201404021454git4336787.git.0.070e774.el6.noarch

rubygem-hammer_cli_foreman-0.1.0-1.201404011518git2abbfd3.git.0.37211af.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-1.201403312028gitdf60592.git.0.b4ebd5a.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201404031036git91b98bf.git.0.223e42e.el6.noarch

#4 - 04/10/2014 03:47 PM - Adam Price

- Assignee set to Adam Price

#5 - 05/02/2014 03:06 PM - Anonymous
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:e0a4ae4440d860cfc57cd4ad01a4c9c23420a1f8.

#6 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#7 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#8 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
